Bug 1266120 - Separate package profile upload to separate screen/async in GUI (request is made with basic auth )
Separate package profile upload to separate screen/async in GUI (request is m...
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Kevin Howell
John Sefler
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2015-09-24 10:11 EDT by Adrian Likins
Modified: 2016-09-19 15:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-09-19 15:48:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Github candlepin/subscription-manager/pull/1312 None None None 2016-09-19 15:48 EDT

  None (edit)
Description Adrian Likins 2015-09-24 10:11:00 EDT
Description of problem:

This is related to

registergui currently makes a consumer creation (register) and package profile upload within the same code block in the same async method/request and within the same error handling block. Result is any error from package profile upload
causes registration to fail in GUI and firstboot.

There are two issues here:

1. The package profile happens with basic auth

2. The shared error handling.
Comment 2 John Sefler 2015-09-25 13:20:54 EDT
deferring to rhel-7.3.0 due to schedule and severity
Comment 3 Kevin Howell 2016-09-19 15:48:38 EDT
Fixed in current code, attaching PR it was addressed in

Note You need to log in before you can comment on or make changes to this bug.